Subject: RE: Some bugs in b18
From: [email-masked] (Sergey Okhapkin)

16 May 1997 15:58:19 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC6265.8E3CF5F0.cygnus.gnu-win32@sos>
Original-To: "[email-masked]" <[email-masked]>,
        "'Curtis Galloway'"
	 <[email-masked]>
Encoding: 33 TEXT
Original-Sender: [email-masked]

Curtis Galloway wrote:
> 2. Problems with user ids.  If I don't have an /etc/passwd file, I get
> very strange results.  For example:
>
>   bash> whoami
>   whoami: cannot find username for UID 500
>   bash> touch foo
>   bash> ls -l foo
>   -rw-r--r--   1 544      everyone        0 May 15 07:11 foo
>
> So am I userid 500 or 544?  This ambiguity causes "test -w" to fail

It's a strange NT's behavior. Your userid is 500 - "Administrator", but all 
files you created have owner id 544 (local group "Administrators"). The 
only solution I know for a now - do not work on NT box as a member of 
"Administrators" group :-(

> 4. Terminal support.  The ncurses library does work, but not if you
> change the default console window settings.  If you have a different
> background and foreground color set, they are ignored, and if you have

Ncurses uses standard ANSI color mapping (according to terminfo terminal 
description).

> the scrollback buffer turned on, you get very strange behavior.

The same. Ncurses takes number of screen lines from terminfo database. It's 
a Unix world :-)

--
Sergey Okhapkin
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".